#ifndef CAMERA_PARKING_GENERAL_WRAPPER_HEADER_H
#define CAMERA_PARKING_GENERAL_WRAPPER_HEADER_H
#include "pub/PubWrapperHelper.h"
#include "pub/PubDataWrapper.h"
#include "CameraParking_PubDataWrapper.h"
#include "camera_prk/executable.h"


using namespace jac::ap::camprkperservice::skeleton;
using namespace jac::ap::visualization::skeleton;

//PubWrappers
GENERATE_PUB_WRAPPER(CamPrk2Visualization_Provide, CamPrk2Visualization_PubDataWrapper, VisualizationSoCBSkeleton, CameraH265Image, CameraFEH265ImagePDataViz);
GENERATE_PUB_WRAPPER(CamPrk2CamPrkPerception_Provide, CamPrk2CamPrkPerception_PubDataWrapper, CameraParkingPerceptionServiceSkeleton, perception::Cam2CamPerceptionStruct, CamPrk2CamPrkPerceptionEvent);

class GeneralWrapper {
public:
    //Providers
    CamPrk2Visualization_Provide _CamPrk2Visualization_Provide;
    CamPrk2CamPrkPerception_Provide _CamPrk2CamPrkPerception_Provide;
    
    GeneralWrapper(ara::log::Logger& mainLog);
    ~GeneralWrapper();
};


#endif
